#
# Conditional build:
%bcond_with	tests		# build without tests
#
Summary:	PlayStation Remote Play for Everyone
Name:		chiaki-ng
Version:	1.9.8
Release:	1
License:	AGPL v3
Group:		X11/Applications/Networking
Source0:	https://github.com/streetpea/chiaki-ng/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6e5be68d23d14e01cf586ccaf2561892
Patch0:		curl-lib.patch
URL:		https://streetpea.github.io/chiaki-ng/
BuildRequires:	Qt6Concurrent-devel
BuildRequires:	Qt6Core-devel
BuildRequires:	Qt6DBus-devel
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Qml-devel
BuildRequires:	Qt6Quick-devel
BuildRequires:	Qt6Svg-devel
BuildRequires:	Qt6WebEngine-devel
BuildRequires:	Qt6Widgets-devel
BuildRequires:	SDL2-devel
BuildRequires:	Vulkan-Headers
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	fftw3-devel
BuildRequires:	hidapi-devel
BuildRequires:	jerasure-devel
BuildRequires:	libevdev-devel
BuildRequires:	libplacebo-devel
BuildRequires:	nanopb-devel
BuildRequires:	nanopb-static
BuildRequires:	openssl-devel
BuildRequires:	pkg-config
BuildRequires:	python3
BuildRequires:	speexdsp-devel
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libxkbcommon-devel
Requires:	vulkan(icd)
ExcludeArch:	%{ix86} x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chiaki is a Free and Open Source Software Client for PlayStation 4 and
PlayStation 5 Remote Play.

This project is not endorsed or certified by Sony Interactive
Entertainment LLC.

%prep
%setup -q
%patch -P 0 -p1

%build
mkdir -p build
cd build
%cmake ../ \
	%{cmake_on_off test CHIAKI_ENABLE_TESTS} \
	-DBUILD_SHARED_LIBS:BOOL=OFF \
	-DCHIAKI_USE_SYSTEM_JERASURE=ON \
	-DCHIAKI_USE_SYSTEM_NANOPB=ON \
	-DCHIAKI_USE_SYSTEM_CURL=ON \
	-DCHIAKI_ENABLE_STEAM_SHORTCUT=OFF

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/udev/rules.d

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p doc/71-chiaki4deck.rules $RPM_BUILD_ROOT/lib/udev/rules.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc LICENSES/AGPL-3.0-only-OpenSSL.txt README.md docs/*
%attr(755,root,root) %{_bindir}/chiaki
%attr(755,root,root) %{_bindir}/chiaki-cli
%{_desktopdir}/chiaking.desktop
%{_iconsdir}/hicolor/*x*/apps/chiaking.png
%{_datadir}/metainfo/io.github.streetpea.Chiaki4deck.appdata.xml
/lib/udev/rules.d/71-chiaki4deck.rules
%changelog
* Sun Jun 08 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/chiaki-ng.git;a=log;h=master

* Sun Jun 08 2025 Jan Rękorajski <baggins@pld-linux.org> b0df524
- up to 1.9.8

* Wed Feb 26 2025 Jan Rękorajski <baggins@pld-linux.org> 103b365
- up to 1.9.5

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> 4619b60
- rel 3, update icon chache in post

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> befb505
- don't build internal libs as shared

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> a22cf8d
- no Qt6WebEngine on ix86 either, rel 1

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> d072833
- it's actaually nanopb-static that is needed to build

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> 77a6f3d
- i- fix placebo BR

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> 085a477
- more BRs

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> 1cdcebb
- no WebEngine on x32

* Wed Jan 08 2025 Jan Rękorajski <baggins@pld-linux.org> 735808b
- new

